<script setup>
  import { ref, computed } from 'vue';
  import FicheDePaieLigne from '../entites/FicheDePaieLigne.vue';
  import GestionListe from '@/components/listes/GestionListe.vue';
  import BoutonAjouter from '../boutons/BoutonAjouter.vue';
    
  const props = defineProps(['fichesDePaies']);

  const page = ref(0)
  const pas = 6
  const fichesDePaies = computed(() => {
      if (page.value *pas === props.fichesDePaies.length) page.value = page.value - 1
      return props.fichesDePaies.slice(page.value * pas, (page.value + 1) * pas)
  })
  
  const pages = computed(() => {
    return Math.ceil(props.fichesDePaies.length / pas)
})
</script>

<template>
    <div class="fiches-de-paie">
        <div v-if="props.fichesDePaies.length">
            <div class="conteneur">
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>Employé</th>
                            <th>Rôle</th>
                            <th>Date</th>
                            <th>Salaire brut</th>
                            <th>Cotisations patronales</th>
                            <th>Voir</th>
                            <th>Modifier</th>
                            <th>Supprimer</th>
                        </tr>
                    </thead>
                    <tbody>
                        <FicheDePaieLigne v-for="ficheDePaie in fichesDePaies" :key="ficheDePaie.idFicheDePaie" :ficheDePaie="ficheDePaie" @supprimer="$emit('supprimer', $event)"/>
                    </tbody>
                </table>
            </div>
            <GestionListe :taille="pages" @index="(i) => page = i" :page="page"/>
        </div>
        <div v-else>
            <p>Pas de fiche de paie</p>
        </div>
        <BoutonAjouter class="bouton" href="/fiches_de_paie"/>
    </div>
</template>

<style scoped>
    .fiches-de-paie {
        text-align: center;
    }
    .conteneur {
        overflow-x: auto;
        width: 100%;
        margin-bottom: 10px;
    }

    .bouton {
        margin-top: 10px;
    }
</style>